> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coval.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List test set records

> List the test-case records in a test set.



## OpenAPI

````yaml /api-reference/v1/test-sets-v1.yaml get /test-sets/{test_set_id}/records
openapi: 3.0.3
info:
  title: Test Sets API
  version: 1.0.0
  description: >
    API for managing test sets - collections of test cases for evaluation.


    Test sets organize test cases and can define parameters for test case
    generation.
  contact:
    name: Coval API Support
    url: https://coval.dev
    email: support@coval.dev
servers:
  - url: https://api.coval.dev/v1
    description: Production API
security:
  - apiKey: []
tags:
  - name: Test Sets
    description: Operations for managing test sets
paths:
  /test-sets/{test_set_id}/records:
    get:
      tags:
        - Test Sets
      summary: List test set records
      description: List the test-case records in a test set.
      operationId: listTestSetRecords
      parameters:
        - name: test_set_id
          in: path
          required: true
          schema:
            type: string
          description: Test set id.
      responses:
        '200':
          description: The test set's records
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTestSetRecordsResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - apiKey: []
components:
  schemas:
    ListTestSetRecordsResponse:
      type: object
      required:
        - records
      properties:
        records:
          type: array
          items:
            $ref: '#/components/schemas/TestSetRecordResource'
    TestSetRecordResource:
      type: object
      required:
        - id
        - input
      properties:
        id:
          type: string
        input:
          type: string
          description: Test case input string.
        input_type:
          type: string
          nullable: true
        expected_behaviors:
          type: array
          items:
            type: string
        expected_output:
          nullable: true
          description: Expected output specification, if set.
          anyOf:
            - type: object
              additionalProperties: true
            - type: array
              items: {}
            - type: string
            - type: number
            - type: boolean
        description:
          type: string
          nullable: true
        user_notes:
          type: string
          nullable: true
        create_time:
          type: string
          format: date-time
          nullable: true
        update_time:
          type: string
          format: date-time
          nullable: true
        test_set_id:
          type: string
          nullable: true
    ErrorResponse:
      type: object
      description: Standard error response
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
            - details
          properties:
            code:
              type: string
              description: Machine-readable error code
              example: INVALID_ARGUMENT
            message:
              type: string
              description: Human-readable error message
              example: Invalid request parameters
            details:
              type: array
              description: Detailed error information
              items:
                type: object
                properties:
                  field:
                    type: string
                    description: Field that caused the error
                    example: slug
                  description:
                    type: string
                    description: Description of the error
                    example: slug already exists for this organization
  responses:
    Unauthorized:
      description: Authentication failed or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: UNAUTHENTICATED
              message: Authentication failed
              details:
                - field: X-API-Key
                  description: Invalid or missing API key
    NotFound:
      description: Resource not found or doesn't belong to organization
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: NOT_FOUND
              message: Test set not found
              details:
                - field: test_set_id
                  description: Test set 'abc12345' not found
    InternalError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: INTERNAL
              message: Internal server error
              details:
                - description: An unexpected error occurred while processing the request
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Organization API key for authentication

````